Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Components::EntityContext Interface Reference

`import "CCM_Container.idl";`

Inheritance diagram for Components::EntityContext:

[legend]
Collaboration diagram for Components::EntityContext:

[legend]
List of all members.

## Public Methods
Object | get_CCM_object () raises (IllegalState)
PrimaryKeyBase | get_primary_key () raises (IllegalState)
Object | get_CCM_object () raises (IllegalState)
PrimaryKeyBase | get_primary_key () raises (IllegalState)

## Member Function Documentation

Object Components::EntityContext::get_CCM_object | ( |  | ) | raises (IllegalState)

Object Components::EntityContext::get_CCM_object | ( |  | ) | raises (IllegalState)

PrimaryKeyBase Components::EntityContext::get_primary_key | ( |  | ) | raises (IllegalState)

PrimaryKeyBase Components::EntityContext::get_primary_key | ( |  | ) | raises (IllegalState)

The documentation for this interface was generated from the following files:

- CCM_Container.idl
- Component_Base.idl